Package org.tmatesoft.svn.core.wc

# Interface ISVNStatusHandler

All Known Implementing Classes:
  `SVNXMLStatusHandler`

public interface ISVNStatusHandler
The ISVNStatusHandler interface should be implemented in order to be further provided to some of SVNStatusClient's doStatus() methods to handle status information of Working Copy items.

When running a status operation using a status handler an SVNStatusClient's doStatus() method generates an SVNStatus object per each interesting WC entry and dispatches that object to the status handler where it's up to a developer to retrieve status detailes from the SVNStatus object and interprete them in a desired way.

All calls to a handleStatus() method are synchronous - that is the caller is blocked till the method finishes.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.
See Also:
  - `SVNStatusClient`
  - `SVNStatus`
  - Examples

## Method Summary

Modifier and Type
Method
Description
`void`
`handleStatus(SVNStatus status)`
Handles WC item's status information using an SVNStatus object.

## Method Details

### handleStatus

void handleStatus(SVNStatus status) throws SVNException
Handles WC item's status information using an SVNStatus object.

Parameters:
  `status` - an object that contains per item status information
Throws:
  `SVNException`